Bug 170096 - Konqueror filebrowser can't open directories with '?'
Konqueror filebrowser can't open directories with '?'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 03:24 EDT by Jason Curl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.5.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 17:14:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Curl 2005-10-07 03:24:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Have a directory in home called 'R?D_MO_746'. This was copied from a FAT filesystem where the original ? character was a U with umlaut.

When clicking on this folder in the main view on the right, or in the folder view on the left (the tab selected is "Home Folder"), it has no action. Cannot open this folder to view what is inside.

Version-Release number of selected component (if applicable):
Konqueror 3.4.2-0.fc4.1 Red Hat (Using KDE 3.4.2-0.fc4.1 Red Hat)

How reproducible:
Always

Steps to Reproduce:
1. Create any directory with a '?' in it, e.g.
   $ mkdir Te\?sting
   $ cd Te\?sting
   $ touch foo.txt
2. From the Konqueror browser try and select this folder (Home Folder)


Actual Results:  It appears nothing is happening

Expected Results:  Should have opened this folder to see the newly created file 'foo.txt', but it isn't visible.

Additional info:

$ echo $LANG
en_US.UTF-8
Comment 1 Christian Iseli 2007-01-22 05:34:09 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jason Curl 2007-01-23 17:14:56 EST
Tested with Fedora Core 5 and it is no longer an issue.

Note You need to log in before you can comment on or make changes to this bug.